%define	name	asc
%define version 2.1.0.0
%define release %mkrel 3
%define	Summary	Advanced Strategic Command

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://heanet.dl.sourceforge.net/sourceforge/asc-hq/%{name}-%{version}.tar.bz2
Source1:	%{name}-16x16.png
Source2:	%{name}-32x32.png
Source3:	%{name}-48x48.png
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.asc-hq.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL_mixer-devel SDLmm-devel SDL_image-devel SDL_sound-devel
BuildRequires:	bzip2-devel jpeg-devel
BuildRequires:  libsigc++1.2-devel
BuildRequires:  libgii-devel
BuildRequires:  boost-devel
BuildRequires:  freetype2-devel
BuildRequires:  expat-devel
BuildRequires:  libphysfs-devel
BuildRequires:  png-devel
BuildRequires:  zip

%description
ASC is a free, turn based strategy game. It is designed in the tradition
of the Battle Isle series from Bluebyte.

%prep
%setup -q
# there seems to be a conflict with libintl defines
# find . -type f -exec perl -pi -e 's/gettext/gettex_/g' {} \;

%build
%configure2_5x	--enable-genparse \
		--disable-paragui \
		--bindir=%{_gamesbindir} 
%{__perl} -pi -e 's|^SUBDIRS = (.*)music(.*)|SUBDIRS = $1 $2|' data/Makefile
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}

%{__install} -d $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{Summary}
Comment=%{Summary}
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%{__install} %{SOURCE1} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} %{SOURCE3} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*
%defattr(644,root,root,755)
%doc README COPYING AUTHORS doc/
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man6/*


%changelog
* Mon Aug 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.1.0.0-3mdv2009.0
+ Revision: 273453
- rebuild against new boost

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0.0-2mdv2009.0
+ Revision: 266183
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 30 2008 Funda Wang <fundawang@mandriva.org> 2.1.0.0-1mdv2009.0
+ Revision: 213274
- New version 2.1.0.0

* Fri May 30 2008 Funda Wang <fundawang@mandriva.org> 2.0.1.0-2mdv2009.0
+ Revision: 213264
- More gcc 4.3 fixes
- BR SDL_sound
- add fedora patch to build against gcc4.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 03 2007 trem <trem@mandriva.org> 2.0.1.0-1mdv2008.1
+ Revision: 105563
- add BuildRequires zip
- add BuildRequires png-devel
- add BuildRequires physfs-devel
- add BuildRequires expat-devel
- add BuildRequires freetype2-devel
- change lib64boost-devel to boost-devel
- add BuildRequires:  lib64boost-devel
- update to 2.0.1.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.16.4.0-3mdv2008.0
+ Revision: 34342
- Rebuild with libslang2.

* Sun May 27 2007 Funda Wang <fundawang@mandriva.org> 1.16.4.0-2mdv2008.0
+ Revision: 31747
- Build against directfb 1.0

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 1.16.4.0-1mdv2008.0
+ Revision: 16056
- buildrequire jpeg-devel
- XDG menu
- 1.16.4.0
- Import asc



* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 1.16.3.0-1mdk
- 1.16.3.0

* Tue Jan 17 2006 Olivier Blin <oblin@mandriva.com> 1.16.2.0-3mdk
- buildrequires SDL_image-devel

* Mon Jan 16 2006 Olivier Blin <oblin@mandriva.com> 1.16.2.0-2mdk
- disable paragui (pgeventobject has been removed in development version)

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.16.2.0-1mdk
- 1.16.2.0
- %%mkrel

* Wed Jul 20 2005 Lenny Cartier <lenny@mandriva.com> 1.16.1.0-1mdk
- 1.16.1.0

* Fri Jul 15 2005 Olivier Blin <oblin@mandriva.com> 1.15.3.0-2mdk
- rebuild for directfb

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15.3.0-1mdk
- 1.15.3.0

* Tue Nov 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.15.2.1-1mdk
- 1.15.2.1

* Mon Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.15.1.0-1mdk
- 1.15.1.0

* Wed Aug 18 2004 Michael Scherer <misc@mandrake.org> 1.15.0.0-2mdk 
- BuildRequires

* Tue Jul 13 2004 Michael Scherer <misc@mandrake.org> 1.15.0.0-1mdk
- New release 1.15.0.0
- remove patch0, already upstream 

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 1.14.0.0-2mdk 
- remove Packager tag
- rebuild for new gcc, patch #0
- clean BuildRequires

* Mon Feb  9 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14.0.0-1mdk
- new version

* Tue Dec 30 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.9.1-1mdk
- 1.13.9.1 (works)

* Mon Dec 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.9.0-1mdk
- 1.13.9.0
- add post/postun menu commands

* Wed Nov 26 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.13.8.0-3mdk
- fix menu section (s/Arcade/Strategy/)

* Tue Oct 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.13.8.0-2mdk
- buildrequires
- added menuitem
- added icons
- moved binary to %%{_gamesbindir}
- cleanups

* Mon Aug 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.8.0-1mdk
- 1.13.8.0

* Wed Jul 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.13.7-1mdk
- 1.13.7

* Mon Jun 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.6.0-1mdk
- 1.13.6.0

* Thu May 22 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.5.1-1mdk
- new version

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.13.4.0-2mdk
- fix buildrequires

* Sat Apr 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.13.4.0-1mdk
- 1.13.4
- drop Patch0, no longer needed

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.2-1mdk
- 1.13.2

* Fri Mar 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13.1.0-1mdk
- 1.13.1.0

* Mon Mar 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.0.0-1mdk
- new version

* Fri Jan  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12.0.0-1mdk
- 1.12.0.0

* Mon Sep  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.2-4mdk
- rebuild

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.2-3mdk
- recompile against new vorbis stuff

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.2-2mdk
- recompile against latest libstdc++, paragui and SDLmm

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.2-1mdk
- new version
- build for new alsa

* Wed Mar 20 2002 Lenny Cartier <lenny@mandrasoft.com> 1.10.1-1mdk
- 1.10.1

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-1mdk
- first mdk package
